> For the complete documentation index, see [llms.txt](https://kb.logicerp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/accounts/push/cash-receipts.md).

# Cash Receipts

## Save Cash Receipt :- LOGIC API PUSH - CASH RECEIPTS <a href="#heading" id="heading"></a>

This API is used to Save the Cash Receipt in LOGIC

### **Authorization Detail**

| Name          | Detail                                         |
| ------------- | ---------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/SaveCashReceipt> |
| Request Type  | POST                                           |
| Authorization | Basic Auth                                     |
| Username      | Demo                                           |
| Password      | 1                                              |

### **Request**

```
               
{
    "BranchCode": 2,
    "ActUserCode": "1",
    "Narration": "API Testing",
    "Remarks_1": "REMARKS-1",
    "Remarks_2": "REMARKS-1",
    "VoucherDate": null,
    "ListAccounts": [
        {
            "Amount": 1000.0,
            "Discount": 0.0,
            "DD_Cheque_No": "CQ001",
            "DD_Cheque_Date": "07/07/23",
            "AccountCode": "99004488",
            "Narration": "API Testing",
            "CompanyName": null,
            "Cost_Center": null,
            "Amount_For_TDS_Calc": 0.0
        }
    ]
}

```

| Name                   | Type      | Length | Mandatory | Remarks             |
| ---------------------- | --------- | ------ | --------- | ------------------- |
| BranchCode             | nvarchar  | 50     | yes       | -                   |
| ActUserCode            | num       | -      | yes       | Cash In Hand Code   |
| Narration              | nvarchar  | 80     | -         | -                   |
| Remarks\_1             | nvarchar  | 80     | -         | Any remarks message |
| Remarks\_2             | nvarchar  | 80     | -         | Any remarks message |
| Amount                 | money     | -      | yes       | -                   |
| Discount               | money     | -      | -         | -                   |
| DD\_Cheque\_No         | nvarchar  | 35     | -         | -                   |
| DD\_Cheque\_Date       | date/time | -      | -         | -                   |
| AccountCode            | num       | 20     | -         | -                   |
| Narration              | nvarchar  | 80     | -         | -                   |
| CompanyName            | nvarchar  | 50     | -         | -                   |
| Cost\_Center           | nvarchar  | -      | -         | -                   |
| Amount\_For\_TDS\_Calc | money     | -      | -         | -                   |

### **Response**

```
 
  {
     "Status": true,
     "Message": "",
     "LastSavedCode": 1169
 }

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/accounts/push/cash-receipts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
